### Constructor

# Ggit Diff new_index_to_workdir

#### Declaration [src]

    GgitDiff*
    ggit_diff_new_index_to_workdir (
      GgitRepository* repository,
      GgitIndex* index,
      GgitDiffOptions* diff_options,
      GError** error
    )

#### Description [src]

Creates a `GgitDiff` which compares the working directory and the index.

If `index` is `NULL` then `repository` index is used. If `diff_options` is `NULL` then the defaults specified in `ggit_diff_options_new()` are used.

#### Parameters

`repository`

  Type: `GgitRepository`

  A `GgitRepository`.

  The data is owned by the caller of the function.

`index`

  Type: `GgitIndex`

  A `GgitIndex`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`diff_options`

  Type: `GgitDiffOptions`

  A `GgitDiffOptions`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitDiff`

A newly allocated `GgitDiff` if there was no error, `NULL` otherwise.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.